# Form implementation generated from reading ui file 'src/eric7/MicroPython/UnknownDevicesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_UnknownDevicesDialog(object):
    def setupUi(self, UnknownDevicesDialog):
        UnknownDevicesDialog.setObjectName("UnknownDevicesDialog")
        UnknownDevicesDialog.resize(450, 500)
        UnknownDevicesDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(UnknownDevicesDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.deviceList = QtWidgets.QListWidget(parent=UnknownDevicesDialog)
        self.deviceList.setAlternatingRowColors(True)
        self.deviceList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.deviceList.setObjectName("deviceList")
        self.gridLayout.addWidget(self.deviceList, 0, 0, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.editButton = QtWidgets.QPushButton(parent=UnknownDevicesDialog)
        self.editButton.setObjectName("editButton")
        self.verticalLayout.addWidget(self.editButton)
        self.line = QtWidgets.QFrame(parent=UnknownDevicesDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.deleteButton = QtWidgets.QPushButton(parent=UnknownDevicesDialog)
        self.deleteButton.setObjectName("deleteButton")
        self.verticalLayout.addWidget(self.deleteButton)
        self.deleteAllButton = QtWidgets.QPushButton(parent=UnknownDevicesDialog)
        self.deleteAllButton.setObjectName("deleteAllButton")
        self.verticalLayout.addWidget(self.deleteAllButton)
        spacerItem = QtWidgets.QSpacerItem(20, 128, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.restoreButton = QtWidgets.QPushButton(parent=UnknownDevicesDialog)
        self.restoreButton.setObjectName("restoreButton")
        self.verticalLayout.addWidget(self.restoreButton)
        self.gridLayout.addLayout(self.verticalLayout, 0, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=UnknownDevicesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 2, 0, 1, 2)
        self.reportButton = QtWidgets.QPushButton(parent=UnknownDevicesDialog)
        self.reportButton.setObjectName("reportButton")
        self.gridLayout.addWidget(self.reportButton, 1, 0, 1, 2)

        self.retranslateUi(UnknownDevicesDialog)
        QtCore.QMetaObject.connectSlotsByName(UnknownDevicesDialog)
        UnknownDevicesDialog.setTabOrder(self.deviceList, self.editButton)
        UnknownDevicesDialog.setTabOrder(self.editButton, self.deleteButton)
        UnknownDevicesDialog.setTabOrder(self.deleteButton, self.deleteAllButton)
        UnknownDevicesDialog.setTabOrder(self.deleteAllButton, self.restoreButton)
        UnknownDevicesDialog.setTabOrder(self.restoreButton, self.reportButton)

    def retranslateUi(self, UnknownDevicesDialog):
        _translate = QtCore.QCoreApplication.translate
        UnknownDevicesDialog.setWindowTitle(_translate("UnknownDevicesDialog", "Unknown Devices"))
        self.deviceList.setSortingEnabled(True)
        self.editButton.setToolTip(_translate("UnknownDevicesDialog", "Press to edit the selected entry"))
        self.editButton.setText(_translate("UnknownDevicesDialog", "Edit..."))
        self.deleteButton.setToolTip(_translate("UnknownDevicesDialog", "Press to delete the selected entries"))
        self.deleteButton.setText(_translate("UnknownDevicesDialog", "Delete"))
        self.deleteAllButton.setToolTip(_translate("UnknownDevicesDialog", "Press to delete all entries"))
        self.deleteAllButton.setText(_translate("UnknownDevicesDialog", "Delete All"))
        self.restoreButton.setToolTip(_translate("UnknownDevicesDialog", "Press to restore the list of devices"))
        self.restoreButton.setText(_translate("UnknownDevicesDialog", "Restore"))
        self.reportButton.setToolTip(_translate("UnknownDevicesDialog", "Press to report the data of all boards via email"))
        self.reportButton.setText(_translate("UnknownDevicesDialog", "Report All Data"))
